Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class EntityImpl

    java.lang.Object
      org.jasig.portal.groups.GroupMemberImpl
          org.jasig.portal.groups.EntityImpl

All Implemented Interfaces:
  IEntity, IGroupMember, IBasicEntity

    public class EntityImpl

extends GroupMemberImpl
implements IEntity

Reference implementation for `IEntity`.

Version:
  $Revision: 1.9 $
Author:
  Dan Ellentuck

Field Summary
`protected EntityIdentifier` | `entityIdentifier`

Constructor Summary
`EntityImpl(EntityIdentifier ei)` EntityImpl constructor
`EntityImpl(java.lang.String newEntityKey, java.lang.Class newEntityType)` EntityImpl constructor

Method Summary
`boolean` | `equals(java.lang.Object obj)` Answers if Object o is an `IGroupMember` that refers to the same underlying entity(ies) as `this`.
`EntityIdentifier` | `getEntityIdentifier()`
`java.lang.Class` | `getEntityType()` Returns the type of the underyling entity.
`java.lang.String` | `getKey()` Returns the key of the underlying entity.
`java.lang.Class` | `getLeafType()` Returns the type of the underyling entity.
`java.lang.Class` | `getType()` Returns this object's type, as opposed to the type of its underlying entity.
`boolean` | `isEntity()`
`java.lang.String` | `toString()` Returns a String that represents the value of this object.

Methods inherited from class org.jasig.portal.groups.GroupMemberImpl
`addGroup, castAndCopyHashSet, contains, deepContains, getAllContainingGroups, getAllEntities, getAllMembers, getCacheKey, getCompositeGroupService, getContainingGroups, getEntities, getMemberGroupNamed, getMembers, getUnderlyingEntityIdentifier, hashCode, hasMembers, isDeepMemberOf, isGroup, isKnownEntityType, isMemberOf, primGetAllContainingGroups, removeGroup, setGroupKeysInitialized`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jasig.portal.groups.IGroupMember
`contains, deepContains, getAllContainingGroups, getAllEntities, getAllMembers, getContainingGroups, getEntities, getMemberGroupNamed, getMembers, getUnderlyingEntityIdentifier, hashCode, hasMembers, isDeepMemberOf, isGroup, isMemberOf`

Field Detail

### entityIdentifier

    protected EntityIdentifier entityIdentifier

Constructor Detail

### EntityImpl

    public EntityImpl(java.lang.String newEntityKey,
                      java.lang.Class newEntityType)
               throws GroupsException

  EntityImpl constructor

  Throws:
    `GroupsException`

### EntityImpl

    public EntityImpl(EntityIdentifier ei)
               throws GroupsException

  EntityImpl constructor

  Throws:
    `GroupsException`

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Description copied from interface: `IGroupMember`
  Answers if Object o is an `IGroupMember` that refers to the same underlying entity(ies) as `this`.

  Specified by:
    `equals` in interface `IGroupMember`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the Object to compare with
  Returns:
    true if these Objects are equal; false otherwise.
  See Also:
    `Hashtable`

### getEntityIdentifier

    public EntityIdentifier getEntityIdentifier()

  Specified by:
    `getEntityIdentifier` in interface `IBasicEntity`
  Returns:
    org.jasig.portal.EntityIdentifier

### getEntityType

    public java.lang.Class getEntityType()

  Returns the type of the underyling entity.

  Specified by:
    `getEntityType` in interface `IGroupMember`
  Returns:
    java.lang.Class

### getKey

    public java.lang.String getKey()

  Returns the key of the underlying entity.

  Specified by:
    `getKey` in interface `IGroupMember`
  Overrides:
    `getKey` in class `GroupMemberImpl`
  Returns:
    java.lang.String

### getLeafType

    public java.lang.Class getLeafType()

  Returns the type of the underyling entity.

  Specified by:
    `getLeafType` in interface `IGroupMember`
  Returns:
    java.lang.Class
  See Also:
    `IGroupMember.getEntityType()`

### getType

    public java.lang.Class getType()

  Returns this object's type, as opposed to the type of its underlying entity.

  Specified by:
    `getType` in interface `IGroupMember`
  Overrides:
    `getType` in class `GroupMemberImpl`
  Returns:
    java.lang.Class

### isEntity

    public boolean isEntity()

  Specified by:
    `isEntity` in interface `IGroupMember`
  Overrides:
    `isEntity` in class `GroupMemberImpl`
  Returns:
    boolean

### toString

    public java.lang.String toString()

  Returns a String that represents the value of this object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the receiver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD